Method: organizations.locations.firewallEndpoints.patch

Updates a single organization endpoint.

HTTP request

PATCH https://networksecurity.googleapis.com/v1/{firewallEndpoint.name=organizations/*/locations/*/firewallEndpoints/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
firewallEndpoint.name

string

Immutable. Identifier. The name of the resource.

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. Field mask used to specify the fields to be overwritten in the FirewallEndpoint resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. A field is overwritten if it is in the mask. If the user does not provide a mask, then all fields present in the request are overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server knows to ignore the request if it has already been completed. The server guarantees that for at least 60 minutes since the first request.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if the original operation with the same request ID was received, and if so, ignores the second request. This prevents clients from accidentally creating duplicate commitments.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body contains an instance of FirewallEndpoint.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.